import Config from "./config";
import http from "./http";

export class WebApiClient extends Config {
  private httpInstance: http;
  constructor({ serverAdress, webapiToken }: { serverAdress: string; webapiToken: string }) {
    super({ serverAdress, webapiToken });
    this.httpInstance = new http(this);
  }

  get http() {
    return this.httpInstance.http;
  }
}
